Loading...
Searching...
No Matches
gr::thread::thread_group Class Reference

`#include <gnuradio/thread/thread_group.h>`

## Public Member Functions

| thread_group ()=default
| ~thread_group ()=default
| thread_group (const thread_group &)=delete
thread_group & | operator= (const thread_group &)=delete
boost::thread * | create_thread (const std::function< void()> &threadfunc)
void | add_thread (std::unique_ptr< boost::thread > thrd) noexcept
void | remove_thread (boost::thread *thrd) noexcept
void | join_all ()
void | interrupt_all ()
size_t | size () const noexcept

## Constructor & Destructor Documentation

## thread_group() [1/2]

gr::thread::thread_group::thread_group | ( |  | ) |

default

Referenced by operator=(), and thread_group().

## ~thread_group()

gr::thread::thread_group::~thread_group | ( |  | ) |

default

## thread_group() [2/2]

gr::thread::thread_group::thread_group | ( | const thread_group & |  | ) |

delete

References thread_group().

## Member Function Documentation

## add_thread()

void gr::thread::thread_group::add_thread | ( | std::unique_ptr< boost::thread > | thrd | ) |

noexcept

## create_thread()

boost::thread * gr::thread::thread_group::create_thread | ( | const std::function< void()> & | threadfunc | ) |

## interrupt_all()

void gr::thread::thread_group::interrupt_all | ( |  | ) |

## join_all()

void gr::thread::thread_group::join_all | ( |  | ) |

## operator=()

thread_group & gr::thread::thread_group::operator= | ( | const thread_group & |  | ) |

delete

References thread_group().

## remove_thread()

void gr::thread::thread_group::remove_thread | ( | boost::thread * | thrd | ) |

noexcept

## size()

size_t gr::thread::thread_group::size | ( |  | ) | const

noexcept

The documentation for this class was generated from the following file:

- thread_group.h